[lfs-fr] r1473 - in trunk/blfs: . introduction/welcome multimedia/libdriv multimedia/videoutils networking/netprogs

jmengual at linuxfromscratch.org jmengual at linuxfromscratch.org
Sam 3 Déc 09:23:30 PST 2011


Author: jmengual
Date: 2011-12-03 18:23:29 +0100 (Sat, 03 Dec 2011)
New Revision: 1473

Modified:
   trunk/blfs/general.ent
   trunk/blfs/introduction/welcome/changelog.xml
   trunk/blfs/multimedia/libdriv/xine-lib.xml
   trunk/blfs/multimedia/videoutils/xine-ui.xml
   trunk/blfs/networking/netprogs/inetutils.xml
   trunk/blfs/networking/netprogs/net-tools.xml
Log:
Encore des mises a jour.


Modified: trunk/blfs/general.ent
===================================================================
--- trunk/blfs/general.ent	2011-12-03 01:28:14 UTC (rev 1472)
+++ trunk/blfs/general.ent	2011-12-03 17:23:29 UTC (rev 1473)
@@ -3,7 +3,7 @@
 $Date: 2011-07-24 16:07:01 +0200 (dim 24 jui 2011) $
 -->
 
-<!ENTITY day          "02">                   <!-- Always 2 digits -->
+<!ENTITY day          "03">                   <!-- Always 2 digits -->
 <!ENTITY month        "12">                   <!-- Always 2 digits -->
 <!ENTITY year         "2011">
 <!ENTITY copyrightdate "2001-&year;">
@@ -831,7 +831,7 @@
 <!ENTITY libdv-version                "1.0.0">
 <!ENTITY liba52-version               "0.7.4">
 <!ENTITY xvid-version                 "1.2.2">
-<!ENTITY xine-lib-version             "1.1.19">
+<!ENTITY xine-lib-version             "1.1.20">
 <!ENTITY libmikmod-version            "3.1.11">
 <!ENTITY gstreamer-version            "0.10.25">
 <!ENTITY gst-plugins-base-version     "0.10.25">
@@ -867,7 +867,7 @@
 <!ENTITY ffmpeg-version               "0.8.6">
 <!ENTITY avifile-version              "0.7.45">
 <!ENTITY mplayer-version              "1.0rc1">
-<!ENTITY xine-ui-version              "0.99.5">
+<!ENTITY xine-ui-version              "0.99.6">
 <!ENTITY transcode-version            "1.0.3">
 
 <!-- Chapter 41 -->

Modified: trunk/blfs/introduction/welcome/changelog.xml
===================================================================
--- trunk/blfs/introduction/welcome/changelog.xml	2011-12-03 01:28:14 UTC (rev 1472)
+++ trunk/blfs/introduction/welcome/changelog.xml	2011-12-03 17:23:29 UTC (rev 1473)
@@ -41,6 +41,18 @@
     </listitem>
 
 -->
+   <listitem>
+      <para>3 décembre 2011</para>
+      <itemizedlist>
+        <listitem>
+          <para>[abenton] - Mise à jour de xine-lib vers 1.1.20.</para>
+        </listitem>
+        <listitem>
+          <para>[abenton] - Mise à jour de xine-ui vers 0.99.6.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>2 décembre 2011</para>
       <itemizedlist>

Modified: trunk/blfs/multimedia/libdriv/xine-lib.xml
===================================================================
--- trunk/blfs/multimedia/libdriv/xine-lib.xml	2011-12-03 01:28:14 UTC (rev 1472)
+++ trunk/blfs/multimedia/libdriv/xine-lib.xml	2011-12-03 17:23:29 UTC (rev 1473)
@@ -4,13 +4,11 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 
-  <!ENTITY xine-lib-download-http "&sourceforge-repo;/xine/xine-lib-&xine-lib-version;.tar.bz2">
-  <!-- commenté : Ils y sont, mais seulement en .tar.xz
-  <!ENTITY xine-lib-download-ftp  "&gentoo-ftp-repo;/xine-lib-&xine-lib-version;.tar.bz2">-->
-  <!ENTITY xine-lib-download-ftp  " ">
-  <!ENTITY xine-lib-md5sum        "a410a0f0617e1d6309f0cbe907f73f8a">
-  <!ENTITY xine-lib-size          "7.2 Mio">
-  <!ENTITY xine-lib-buildsize     "128 MB (without the API documentation)">
+  <!ENTITY xine-lib-download-http "&sourceforge-repo;/xine/xine-lib-&xine-lib-version;.tar.xz">
+  <!ENTITY xine-lib-download-ftp "&gentoo-ftp-repo;/xine-lib-&xine-lib-version;.tar.xz">  
+  <!ENTITY xine-lib-md5sum        "acfb6e08188fd60ad88ff83831d592d7">
+  <!ENTITY xine-lib-size          "5.7 Mio">
+  <!ENTITY xine-lib-buildsize     "118 MB (without the API documentation)">
   <!ENTITY xine-lib-time          "1.5 SBU">
 ]>
 
@@ -63,52 +61,43 @@
     <bridgehead renderas="sect3">Dépendances de Xine Libraries</bridgehead>
 
     <bridgehead renderas="sect4">Requises</bridgehead>
-    <para role="required"><xref linkend="x-window-system"/> et
-    <xref linkend="esound"/> or OSS or
-    <xref linkend="alsa"/> or <xref linkend="arts"/> or
-    <ulink url="http://pulseaudio.org/">PulseAudio</ulink> or
+    <para role="required"><xref linkend="x-window-system"/> et au moins un parmi :
+    <xref linkend="alsa"/>, <xref linkend="esound"/>, OSS,
+    <xref linkend="arts"/>,
+    <ulink url="http://pulseaudio.org/">PulseAudio</ulink> ou
     <ulink url="http://jackaudio.org/">JACK</ulink></para>
 
-    <bridgehead renderas="sect4">Recommandées</bridgehead>
-    <para role="recommended"><!-- <xref linkend="pkgconfig"/> et -->
-    <xref linkend="ffmpeg"/> <!--(with <option>postproc</option> enabled)--></para>
+    <!-- <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended"><xref linkend="pkgconfig"/></para> -->
 
     <bridgehead renderas="sect4">Facultatives</bridgehead>
-    <para role="optional"><xref linkend="aalib"/>,
-    <xref linkend="libmng"/>,
-    <xref linkend="sdl"/>,
-    <xref linkend="libfame"/>,
-    <xref linkend="libvorbis"/>,
-    <xref linkend="speex"/>,
-    <xref linkend="gnome-vfs"/>,
-    <xref linkend="flac"/>,
-    <xref linkend="samba3"/>,
-    <xref linkend="imagemagick"/>,
-    <ulink url="http://www.directfb.org/">DirectFB</ulink>,
-    <xref linkend="libtheora"/>,
+    <para role="optional"><xref linkend="ffmpeg"/>, <xref linkend="flac"/>,
+    <xref linkend="libtheora"/>, <xref linkend="libvorbis"/>,
+    <xref linkend="sdl"/>, <xref linkend="speex"/>, <xref linkend="libfame"/>,
+    <xref linkend="libmng"/>, <xref linkend="gnome-vfs"/>,
+    <xref linkend="libmad"/> 
+    <xref linkend="samba3"/>, <xref linkend="imagemagick"/>,
+    <ulink url="http://www.directfb.org/">DirectFB</ulink>, <ulink
+    url="http://sourceforge.net/projects/dvd/">libdvdnav</ulink>, 
     <ulink url="http://sam.zoy.org/projects/libcaca/">libcaca</ulink>,
-    <ulink url="http://sourceforge.net/projects/modplug-xmms/">libmodplug</ulink>,
+    <ulink
+    url="http://sourceforge.net/projects/modplug-xmms/">libmodplug</ulink>,
+    <xref linkend="aalib"/>, <xref linkend="liba52"/>, libdts (now <ulink
+    url="http://www.videolan.org/developers/libdca.html">libdca</ulink>),
     <ulink url="http://www.wavpack.com/">WavPack</ulink>, et
     <ulink url="http://dxr3.sourceforge.net/">libdxr3</ulink>.</para>
 
     <para>Si les paquets suivants ne sont pas trouvés sur le système, les versions
     de leurs bibliothèques dans les sources internes seront utilisées :
-    <ulink url="http://www.gnu.org/software/libcdio/">libcdio</ulink> et
-    <ulink url="http://www.vcdimager.org/">VCDImager</ulink> (les deux sont requis,
-    ou aucun), et
+    <ulink url="http://www.gnu.org/software/libcdio/">libcdio</ulink>,
+    <ulink url="http://www.vcdimager.org/">VCDImager</ulink> et
     <ulink url="http://www.musepack.net/">libmpcdec</ulink>.</para>
 
     <para>Les suivants sont nécessaire pour construire la documentation de l'API:
-    <ulink url="http://sourceforge.net/projects/sgmltools-lite/">sgmltools-lite</ulink>
+    <ulink
+    url="http://sourceforge.net/projects/sgmltools-lite/">sgmltools-lite</ulink>
     et <ulink url="http://www.xfig.org/">Transfig</ulink></para>
 
-    <para>Les développeurs recommandaient que vous utilisez les versions
-    de l'arborescence interne des sources de <xref linkend="liba52"/>, libdts 
-    (maintenant <ulink
-    url="http://www.videolan.org/developers/libdca.html">libdca</ulink>), <ulink
-    url="http://sourceforge.net/projects/dvd/">libdvdnav</ulink> et <xref
-    linkend="libmad"/> et not system-installed versions.</para>
-
     <para condition="html" role="usernotes">Notes utilisateur :
     <ulink url="&blfs-wiki;/xine-lib"/></para>
 
@@ -120,8 +109,7 @@
     <para>Installez <application>xine Libraries</application> en lançant les
     commandes suivantes :</para>
 
-<screen><userinput>./configure --prefix=/usr \
-            --docdir=/usr/share/doc/xine-lib-&xine-lib-version; &&
+<screen><userinput>./configure --prefix=/usr --docdir=/usr/share/doc/xine-lib-&xine-lib-version; &&
 make</userinput></screen>
 
     <para>Ce paquet n'est pas fourni avec une suite de tests.</para>
@@ -141,18 +129,7 @@
     l'en-tête, par exemple dans
       in <xref linkend="kdemultimedia"/></para> -->
 
-    <!-- <para><option>\-\-enable-static</option>>:nbsp;: This switch is used to enable
-    building the static library as some programs link against it.</para>-->
-
-
-    <!-- switch no longer needed
-    <para><option>\-\-with-external-ffmpeg</option>>:nbsp;: This switch enables use of
-    an external <application>FFmpeg</application> library.  The internally built
-    library produces poor results with some video files.</para>-->
-
-    <!-- See BLFS ticket 2476 for more info on the ffmpeg option.  -->
-
-    <para><parameter>--docdir=/usr/share/xine-lib-&xine-lib-version;</parameter> :
+    <para><option>--docdir=/usr/share/xine-lib-&xine-lib-version;</option> :
     Ce paramètre provoque l'installation de la documentation dans un
     répertoire versioné plutôt que dans le
     <filename class="directory">/usr/share/doc/xine-lib</filename> par
@@ -164,6 +141,20 @@
     <filename class="directory">/usr/lib</filename>, vous devrez dire à la
     commande <command>configure</command> où le chercher.</para>
 
+    <para><option>--with-external-a52dec</option> : utilisez cette option 
+    pour obliger le plugin <filename>xineplug_decode_a52.so</filename> à se lier
+    à la liba52 installée sur le système.</para>
+
+    <para><option>--with-external-libmad</option> : utilisez cette option 
+    pour obliger le plugin <filename>xineplug_decode_mad.so</filename> à se lier
+    à la libmad installée sur le système.</para>
+
+    <para><option>--with-external-dvdnav</option>: utilisez cette option 
+    pour obliger les plugins <filename>xineplug_decode_dxr3_spu.so</filename>, 
+    <filename>xineplug_decode_spu.so</filename>
+    et <filename>xineplug_inp_dvd.so</filename> à se lier
+    aux libdvdnav et libdvdread installées sur le système.</para>
+
   </sect2>
 
   <sect2 role="content">

Modified: trunk/blfs/multimedia/videoutils/xine-ui.xml
===================================================================
--- trunk/blfs/multimedia/videoutils/xine-ui.xml	2011-12-03 01:28:14 UTC (rev 1472)
+++ trunk/blfs/multimedia/videoutils/xine-ui.xml	2011-12-03 17:23:29 UTC (rev 1473)
@@ -4,10 +4,10 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 
-  <!ENTITY xine-ui-download-http "&sourceforge-repo;/xine/xine-ui-&xine-ui-version;.tar.gz">
-  <!ENTITY xine-ui-download-ftp  "&gentoo-ftp-repo;/xine-ui-&xine-ui-version;.tar.gz">
-  <!ENTITY xine-ui-md5sum        "e643cd1fcad4d98a5ae4eb877ce5087b">
-  <!ENTITY xine-ui-size          "2.5 Mio">
+  <!ENTITY xine-ui-download-http "&sourceforge-repo;/xine/xine-ui-&xine-ui-version;.tar.xz">
+  <!ENTITY xine-ui-download-ftp  "&gentoo-ftp-repo;/xine-ui-&xine-ui-version;.tar.xz">
+  <!ENTITY xine-ui-md5sum        "d468b4e7fe39ff19888261e1da9be914">
+  <!ENTITY xine-ui-size          "1.7 Mio">
   <!ENTITY xine-ui-buildsize     "19 Mio">
   <!ENTITY xine-ui-time          "0.3 SBU">
 ]>
@@ -80,7 +80,10 @@
     <para>Installez <application>xine User Interface</application> en lançant
     les commandes suivantes :</para>
 
-<screen><userinput>./configure --prefix=/usr &&
+<screen><userinput>sed -i 's#info_ptr->##
+  /RGB/icolor_type = png_get_color_type(png_ptr, info_ptr);' \
+  src/xitk/Imlib-light/load.c &&
+./configure --prefix=/usr --disable-lirc &&
 make</userinput></screen>
 
     <para>Ce paquet n'est pas fourni avec une suite de tests.</para>
@@ -94,6 +97,12 @@
   <sect2 role="commands">
     <title>Explication des commandes</title>
 
+    <para><command></command> : ce sed corrige la
+    compilation contre libpng-1.5.</para>
+
+    <para><option>--disable-lirc</option> : supprimez cette option si vous
+    avez installé <ulink url="http://www.lirc.org">LIRC</ulink>.</para>
+
     <para><parameter>docsdir=/usr/share/doc/xine-ui-&xine-ui-version;</parameter> :
     Ce paramètre amène la documentation de 
     <application>Xine UI</application> à s'installer dans un répertoire

Modified: trunk/blfs/networking/netprogs/inetutils.xml
===================================================================
--- trunk/blfs/networking/netprogs/inetutils.xml	2011-12-03 01:28:14 UTC (rev 1472)
+++ trunk/blfs/networking/netprogs/inetutils.xml	2011-12-03 17:23:29 UTC (rev 1473)
@@ -143,9 +143,9 @@
     <para><option>--disable-hostname</option> : Ce paramètre empêche
     <application>Inetutils</application> d'installer une commande
     <command>hostname</command>. Utilisez ce paramètre si vous avez la version 
-    originale fournie par LFS au paquet <application>Coreutils</application>,
-    ou si vous avez la version fournie par le paquet <application>Net-Tools</application>.
-    Si vous souhaitez garder ces versions d'<command>ifconfig</command>,
+    de ce programme fournie par le paquet <application>Coreutils</application>
+    ou par le paquet <application>Net-Tools</application> et si
+    vous souhaitez garder ces versions d'<command>ifconfig</command>,
     utilisez ce paramètre.</para>
 
     <para><parameter>--disable-clients</parameter> : Ce paramètre empêche

Modified: trunk/blfs/networking/netprogs/net-tools.xml
===================================================================
--- trunk/blfs/networking/netprogs/net-tools.xml	2011-12-03 01:28:14 UTC (rev 1472)
+++ trunk/blfs/networking/netprogs/net-tools.xml	2011-12-03 17:23:29 UTC (rev 1473)
@@ -83,12 +83,12 @@
     <note>
       <para>Le paquet <application>Net-tools</application> installe le prgramme
       <command>hostname</command> qui écrasera le programme installé par
-      <application>Coreutils</application> lors de l'intallation basique
+      <application>Inetutils</application> lors de l'intallation basique
       de LFS. Si, pour une raison quelconque, vous avez besoin de réinstaller le paquet
-      <application>Coreutils</application> après l'installation de
-      <application>Net-tools</application>, vous devriez supprimer
-      <command>--enable-install-program=hostname</command> de la commande
-      <command>configure</command> de Coreutils dans LFS si vous souhaitez conserver le
+      <application>Inetutils</application> après l'installation de
+      <application>Net-tools</application>, vous devriez ajouter
+      <command>--disable-hostname</command> de la commande
+      <command>configure</command> dans LFS si vous souhaitez conserver le
       programme <command>hostname</command> de <application>Net-tools</application>.</para>
     </note>
 




More information about the lfs-traducfr mailing list